Subject: bug#57988: closed (Re: [bug#57988] Submit New Package)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Sep 2022 08:34:02 +0000

Your bug report

#57988: Submit New Package

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57988: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57988
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#57988] Submit New Package
From: Björn Höfling <[email-masked]>
To: Allan Rojas <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Sep 2022 10:33:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 21 Sep 2022 12:59:25 -0700
Allan Rojas <[email-masked]> wrote:

> I tried to use git commit and git push, but get a 403 error. I think
> I need to send it here first before it gets accepted?
> 
> Please let me know what I need to do to move forward with submitting
> the new package. Looking forward to hearing back!

Hi Allan,

yes, direct access to the git repository is only available to
committers. If you want to submit a patch, please post it here.

The details can be found written in chapter 20 of the docs:

https://guix.gnu.org/en/manual/devel/en/guix.html#Contributing

Especially interesting might be this sub-chapter:

https://guix.gnu.org/en/manual/devel/en/guix.html#Submitting-Patches

If you have any further questions, do not hesitate to ask on the
devel-mailinglist and/or on IRC.

I'm closing this non-patch now.

Björn

Subject: Submit New Package
From: Allan Rojas <[email-masked]>
To: [email-masked]
Date: Wed, 21 Sep 2022 12:59:25 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! I wrote a new package definition for guix and built it successfully.
Now I would like to submit it to be upstream.

I tried to use git commit and git push, but get a 403 error. I think I need
to send it here first before it gets accepted?

Please let me know what I need to do to move forward with submitting the
new package. Looking forward to hearing back!

Allan Rojas